{
  lib,
  pkgs,
  ...
}: {
  imports = [];

  fileSystems."/" = {
    device = "root";
    fsType = "tmpfs";
    options = ["size=1G" "mode=755"];
  };
  fileSystems."/persist" = {
    device = "/dev/disk/by-label/nixos";
    fsType = "btrfs";
    options = ["subvol=persist"];
    neededForBoot = true;
  };
  fileSystems."/boot" = {
    device = "/dev/disk/by-label/boot";
    fsType = "ext4";
  };
  fileSystems."/nix" = {
    device = "/dev/disk/by-label/nixos";
    fsType = "btrfs";
    options = ["subvol=nix"];
  };
  fileSystems."/var/www" = {
    device = "/dev/disk/by-label/cthulhu-website-"; # The trailing - is part of the name, i suspect it was meant to be longer
    fsType = "ext4";
  };
  # nix puts the caching folder under /var/cache/nginx
  fileSystems."/var/cache/nginx" = {
    device = "/dev/disk/by-label/cthulhu";
    fsType = "ext4";
  };

  nixpkgs.hostPlatform = lib.mkDefault "x86_64-linux";
}
